## com.lowagie.text.exceptions
Class BadPasswordException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  com.lowagie.text.exceptions.BadPasswordException

All Implemented Interfaces:
  java.io.Serializable

    public class BadPasswordException

extends java.io.IOException

Typed exception used when opening an existing PDF document. Gets thrown when the document isn't a valid PDF document.

Since:
  2.1.5 It was written for iText 2.0.8, but moved to another package
See Also:
  Serialized Form

Field Summary
`private static long` `serialVersionUID` Serial Version UID.

Constructor Summary
`BadPasswordException(java.lang.String message)` Creates an exception saying the user password was incorrect.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

  Serial Version UID.

  See Also:
    Constant Field Values

Constructor Detail

### BadPasswordException

    public BadPasswordException(java.lang.String message)

  Creates an exception saying the user password was incorrect.

Hosted by Hostbasket